# KotlinGradleScriptTemplateCompilationConfiguration

class KotlinGradleScriptTemplateCompilationConfiguration : KotlinDslStandaloneScriptCompilationConfiguration

## Constructors

KotlinGradleScriptTemplateCompilationConfiguration
Link copied to clipboard
constructor()

## Properties

notTransientData
Link copied to clipboard
val notTransientData: Map<PropertiesCollection.Key<*>, Any?>

## Functions

containsKey
Link copied to clipboard
fun <T> containsKey(key: PropertiesCollection.Key<T>): Boolean
entries
Link copied to clipboard
fun entries(): Set<Map.Entry<PropertiesCollection.Key<*>, Any?>>
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
get
Link copied to clipboard
operator fun <T> get(key: PropertiesCollection.Key<T>): T?
getNoDefault
Link copied to clipboard
fun <T> getNoDefault(key: PropertiesCollection.Key<T>): T?
hashCode
Link copied to clipboard
open override fun hashCode(): Int
isEmpty
Link copied to clipboard
fun isEmpty(): Boolean
toString
Link copied to clipboard
open override fun toString(): String